lab4/urls.py
from django.urls import path
from . import views

app_name= 'lab4'
urlpatterns = [
    path('',views.home, name='default'),
    path('home', views.home, name='home'),
    path('now',views.now, name='now'),
    path('about',views.about, name='about'),
    path('achievements',views.achievements, name='achievements'),
    path('curious',views.curious, name='curious'),
    path('schedule',views.schedule, name='schedule'),
    path('recap',views.recap, name='recap'),
    path('form',views.form, name='form'),
    path('delete', views.delete, name='delete'),
]

lab6/urls.py
from django.urls import path
from . import views

app_name= 'lab6'
urlpatterns = [
    path('',views.index, name='index'),
    path('profile/', views.profile, name="profile"),
]

lab_1/urls.py
from django.urls import re_path
from .views import index
#url for app
app_name= 'lab_1'
urlpatterns = [
    re_path(r'^$', index, name='index'),
]

lab_10/urls.py
from django.contrib import admin
from django.urls import path
from . import views

app_name= 'lab_10'
urlpatterns = [
    path('', views.display, name='display'),
    path('subscribe/', views.subscribe, name='subscribe'),
    path('check/', views.check, name='check'),
    path('getSubscriber/', views.getSubscriber, name="getSubscriber"),
    path('unsubscriber/', views.unsubscriber, name="unsubscriber"),   
]

praktikum/urls.py
from django.conf.urls import include
from django.urls import re_path
from django.contrib import admin
from lab4.views import home as index
from django.conf.urls.static import static
from django.conf import settings
from lab6 import views




urlpatterns = [
    re_path(r'^$', index , name='index'),
    re_path(r'^admin/', admin.site.urls),
    re_path(r'^lab-1/', include('lab_1.urls')),
    re_path(r'^lab-2/', include('lab_2.urls')),
    re_path(r'^lab4/', include('lab4.urls')),
    re_path(r'^lab6/', include('lab6.urls')),
    re_path(r'^lab9/', include('lab9.urls')),
    re_path(r'^lab10/', include('lab_10.urls')),
    re_path(r'^lab11/', include('lab_11.urls')),
]+static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

lab4/models.py
from django.db import models
from django.utils import timezone
from datetime import datetime, date

# Create your models here.
class Schedule(models.Model):
    day=models.CharField(max_length=10)
    date=models.DateField(max_length=30)
    time=models.TimeField(max_length=17)
    activity=models.CharField(max_length=100)
    place=models.CharField(max_length=100)
    category=models.CharField(max_length=50)

    

lab4/forms.py
from django import forms
from .models import Schedule
class ScheduleForm(forms.Form):
    time=forms.TimeField(label="Time", widget=forms.TimeInput(attrs={"type":"time"}))
    day=forms.CharField(label="Day", max_length=10)
    date=forms.DateField(label="Date", widget=forms.DateInput(attrs={"type":"date"}))
    activity=forms.CharField(label="Activity", max_length=100)
    place=forms.CharField(label="Place", max_length=100)
    category=forms.CharField(label="Category", max_length=50)

lab4/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse,HttpResponseRedirect
from .forms import ScheduleForm
from .models import Schedule


# Create your views here.
response={}
def home(request):
    return render(request,"home.html",{})

def now(request):
    return render(request,"now.html", {})

def schedule(request):
    form=ScheduleForm(request.POST or None)
    if request.method=="POST":
        if form.is_valid():
          day=request.POST.get('day')
          date=request.POST.get('date')
          time=request.POST.get('time')
          activity=request.POST.get('activity')
          place=request.POST.get('place')
          category=request.POST.get('category')
          schedule=Schedule(day=day, date=date, time=time, activity=activity, place=place, category=category)
          schedule.save()
          return redirect("recap")
        else:
            response={}
            response['form']=form
            return render(request,"schedule.html", response)
    else:
        response={}
        response['form']=form
        return render(request,"schedule.html", response)

def recap(request):
    response={}    
    scheds=Schedule.objects.all()
    response['scheds']=scheds
    return render(request, 'recap.html', response)

def delete(request):
    response={}
    scheds=Schedule.objects.all().delete()
    return render(request, 'recap.html', response)

def curious(request):
    return render(request,"curious.html", {})

def achievements(request): 
    return render(request,"achievements.html", {})

def about(request):
    return render(request,"about.html", {})

def form(request):
    return render(request, "form.html", {})

lab4/templates/about.html
{% extends "base.html" %}
{%load static%}
{% block content %}

<div class="container">
    <div class="row default">
        <br>
        <br>
        <br>
        <br>
    </div>
    <div class="row default">
        <h1 class="headings default">About</h1>
        <br>
    </div>
    <div class="row-default">
        <div class="col-lg-10">
            <br>
            <br>
            <p id="about">
                <strong>Adiva Reyhan Puteri.</strong>
                <br>
                <br>It's me, Adiva ,an Undergaduate Computer Scienece Student in Universitas Indonesia. 
                I am 19 years old and i'm still learning new things about web design!
                <br>
                <br>I like to swim, watch movies, and listening to music. I am the baby of the family. I have one sister and one brother. 
                <br>I like to live happily and looking at things in a bright way!     
            </p>
        </div>
        <div class="col-lg-2">
            <br>
            <img src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/42058586_2226238347620183_548420903692664832_n.jpg?_nc_cat=101&oh=d10373d800b58ebc6cf6497ec8909441&oe=5C1A1579" alt="location symbol" class="symbol">
            <p>Jalan Pulo Mas Barat 1 no.32, Jakarta Timur</p>
            <img src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/42119619_2226238354286849_2416835229114171392_n.jpg?_nc_cat=102&oh=a69b5ec2b748a42ed6189a9595f718ae&oe=5C304F68" alt="instagram symbol" class="symbol">
            <p>@adivarp</p>
            <img src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/42168957_2226238344286850_7247696194615377920_n.jpg?_nc_cat=111&oh=9818a7a393752234fe7a5786d936cd43&oe=5C607537" alt="linkedin symbol" class="symbol">
            <p>linkedin/adivareyhan</p>
            <img src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/41952293_2226238394286845_4559591226222837760_n.jpg?_nc_cat=111&oh=4ff09facb22bf2b1b2264690de963137&oe=5C23F6CD" alt="telephone symbol" class="symbol">
            <p>+62087883000166</p>
            <br>
            <a href="{% url 'curious' %}">
              <img src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/42199563_2226241130953238_5172279065595346944_n.jpg?_nc_cat=100&oh=98548de5181e787b2eb165074a086677&oe=5C2BAE3D" alt="cat symbol" class="symbol">
              <p>click me.</p>
            </a>
        </div>
    </div>
</div>
{% endblock %}

lab4/templates/achievements.html
{% extends "base.html" %}
{%load static%}
{% block content %}

<div class="container">
    <div class="row default">
        <br>
        <br>
        <br>
        <br>
    </div>
    <div class="row default">
        <h1 class="headings default">Achievements</h1>
        <br>
    </div>
    <div class="row default">
        <div class="col-lg-5 content">
                <div class="vertical-line">
            <div id="education">
                <br>
                <br>
                <span class="dotfill"></span> SMP Labschool Jakarta | 2011 -- 2014
                <br>
                <br>
                <br>
                <span class="dotfill"></span> SMA Labschool Jakarta | 2014 -- 2017
                <br>
                <br>
                <br>
                <span class="dotfill"></span> Faculty of Computer Science, Universitas Indonesia | 2018
            </div>
            <div id="short-desc">
                <br>
                <br>
                <p>"A creative mind who is eager to learn something new. 
                    A fast learner who enjoys working in a positive environment.
                    A social individual who can get along easily."
                </p>
            </div>
            </div>
        </div>
        <div class="col-lg-3 content">
            <h2 class="headings">Experiences</h2>
            <p id="experiences">
            <br><strong>Project Officer</strong>
            <br>Open House Fasilkom UI 2018|2018
            <br>
            <br>                
            <br><strong>Staff of Public Relation</strong>
            <br>BEM Fasilkom UI 2018 | 2018
            <br>
            <br>
            <br><strong>Staff of Sponsorship</strong>
            <br>COMPFEST X | 2018
            </p>
        </div>
        <div class="col-lg-1"></div>
        <div class="col-lg-3 content float-right">
            <br>
            <br>
            <br>
            <h2 class="headings">Skills</h2>
            <p id="skills">
                <br><strong>English</strong>
                <br>
                <span class="dotfill"></span>
                <span class="dotfill"></span>
                <span class="dotfill"></span>
                <span class="dotfill"></span>
                <span class="dot"></span>
                <br>
                <br><strong>Creative</strong>
                <br>                    
                <span class="dotfill"></span>
                <span class="dotfill"></span>
                <span class="dotfill"></span>
                <span class="dotfill"></span>
                <span class="dotfill"></span>
                <br>
                <br><strong>Communicative</strong>
                <br>
                <span class="dotfill"></span>
                <span class="dotfill"></span>
                <span class="dotfill"></span>
                <span class="dotfill"></span>
                <span class="dot"></span>
            </p>
        </div>
    </div>
</div>
{% endblock %}

lab4/templates/base.html
{%load static%}
<!DOCTYPE html>
<html lang="en">
    <head>
      <meta charset="UTF-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
      <link href="https://fonts.googleapis.com/css?family=Signika:400,600,700" rel="stylesheet">
      <link href="https://fonts.googleapis.com/css?family=Roboto:400,700" rel="stylesheet">
      <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
      <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
      <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
      <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
      <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
      <script type = "text/javascript" src = "{% static 'js/lab_10.js' %}" ></script>
      <link rel="stylesheet" href="{% static 'css/lab4.css' %}">
      <title> Adiva's </title>
    </head>
    <body>
      <!--START OF NAVBAR-->
      <div class="container">
        <div class="row" id="navbar">
            <div class="row"><br></div>
            <div class="row" id="navbar-line">
                <div class="col-lg-12">
                  <div class="col-lg-2 navigation">
                    <a href="{% url 'lab4:home' %}">Home</a>
                  </div>
                  <div class="col-lg-2  navigation">
                    <a href="{% url 'lab4:now' %}">What I'm Up To</a> 
                  </div>
                  <div class="col-lg-2 navigation">
                    <a href="{% url 'lab4:achievements' %}">Achievements</a>
                  </div>
                  <div class="col-lg-2 navigation">
                    <a href="{% url 'lab4:about' %}">About</a>
                  </div>
                  <div class="col-lg-2 navigation">
                    <a href="{% url 'lab4:form' %}">Form</a>            
                  </div>
                  <div class="col-lg-2 navigation">
                    <a href="{% url 'lab4:schedule' %}">Schedule</a>            
                  </div>
                </div>
              </div>
        </div>
      </div>
      <!--END OF NAVBAR-->
      <br>
      <br>
      {% block content %}
      {% endblock %}
    </body>
</html>

lab4/templates/curious.html
{% extends "base.html" %}
{%load static%}
{% block content %}

<div class="container">
  <div class="row default">
    <br>
    <br>
    <br>
    <br>
  </div>
  <div class="row default">
      <h1 class="headings default">Since You're Still Curious...</h1>
      <br>
  </div>
  <div class="row default">
    <div class="col-lg-4">
      <h2 class="headings">My Top Playlist</h2>
      <p id="rounded-box" class="content">
        1. Bunga Tidur - Tulus
        <br>2. Vintage - NIKI
        <br>3. Can't Take My Eyes Off Of You - Frankie Valli
        <br>4. Labirin - Tulus
        <br>5. When You Say Nothing At All - Ronan Keating                    
      </p>
    </div>
    <div class="col-lg-8">
      <div class="row default">
        <h2 class="headings">My Go To Movies</h2>
        <p id="top-movies">
          <img class= "rounded-corner" id="movies" src="https://scontent.fcgk7-1.fna.fbcdn.net/v/t1.0-9/42516509_2229198180657533_1401906243429203968_n.jpg?_nc_cat=104&_nc_eui2=AeGMTQRR8nA-BuB40pKt4Eo2Qt8d1LeNuwuMYXfOAmYnornW3c4TfaJ8eBxBtEQX6HfNgNR2dpG2kFa9d_IXVFrJfa3o-9ZeHjApA9u1v_-0NQ&oh=f001f49e4b59ca7b4e0368c933fe5d35&oe=5C1B700E" alt="Legally Blondes">
          <img class= "rounded-corner" id="movies" src="https://scontent.fcgk7-1.fna.fbcdn.net/v/t1.0-9/42354039_2229198170657534_5502919868678144000_n.jpg?_nc_cat=100&_nc_eui2=AeEsVxZDUyBi9PygCNjbjmBlRzBMyqUTvic-XBG8B-nOoUwq-sc88SAmthGVYbDX4FXN3_sLqz3Ap3_8ZBfq1JVsnfaT8bvtsJdEqowMyK6IVA&oh=5694a40c101073c1205eaaef6d2ee02f&oe=5C19A78A" alt="Tangled">
          <img class= "rounded-corner" id="movies" src="https://scontent.fcgk7-1.fna.fbcdn.net/v/t1.0-9/42455098_2229198183990866_8661304140867043328_n.jpg?_nc_cat=101&_nc_eui2=AeEIm3FXl_csgRUWJ4jyxm5qkfgVH6H122jCTCmBu1fbZLrJvG8axr4vfx7RzRjAeAn7MNs2eclVl7IMDaHnbw7P8UFVcW89KR4mULYlYNCsqg&oh=13fe0ab329eece4dbf518ca2f5c5fc95&oe=5C1E7A5F" alt="Hercules">
          <img class= "rounded-corner" id="movies" src="https://scontent.fcgk7-1.fna.fbcdn.net/v/t1.0-9/42424432_2229211947322823_565085883607285760_n.jpg?_nc_cat=105&_nc_eui2=AeFRxA5M5y6VlOsFxrj9JCK8f_pbDfwxXuMZ1j8UEknFZ1wGUqhku5m946XJsBi-yBfK52j5JdG9-Fp0IBqkg6uBekV-I4QS_LGeJbx7YcFY9g&oh=41adc82c3b2deb21fb2b2191746571c0&oe=5C5AD932" alt="Howl's Moving Castle">
          <img class= "rounded-corner" id="movies" src="https://scontent.fcgk7-1.fna.fbcdn.net/v/t1.0-9/42446448_2229212033989481_8894508688807559168_n.jpg?_nc_cat=102&_nc_eui2=AeHPkCkjBz_5YLW_KM1hFXj4ttvw00UhmlB3QHCjrXQOQItiMZ0bcl7F5QhlDcz5e1fnBxs-hv1RfslZ9XhPvluZyfySUitBhkQmnmlggqq_SA&oh=226a2e95a91482dc247f98136abc36af&oe=5C2C8A23" alt="Bridget Jones Diary">
        </p>
      </div>
      <div class="row default">
          <h2 class="headings">Recent thought</h2>
          <div class="col-lg-6">
            <div id="recent-thought">
              <p>
                "Turns Out 'Dear Evan Hansen' is a great play. It is second best after 'Hamilton' "
              </p>
            </div>
          </div>
          <div class="col-lg-2">
            <br>
            <br>
            <a href="{% url 'about' %}">
              <img id="cat-back" src="https://scontent.fcgk3-1.fna.fbcdn.net/v/t1.0-9/42564203_2229208337323184_452498895105163264_n.jpg?_nc_cat=109&_nc_eui2=AeEOMoREb2OhHqjUsYBeo99nD4zyndquxlOqZ7tYEs_4mV5uf3Hxzv0UOpg7IhPVPqB4bGrVHXo1-x6r6Cgn-yBoqYcyNc3TBYPMeokVqUu4qQ&oh=1ec97795308c921807de0fd1a118f985&oe=5C25512C" alt="go back">
              <p>GO BACK</p>
            </a>
          </div>
      </div>
    </div>
  </div>
</div>
{% endblock %}

lab4/templates/form.html
{% extends "base.html" %}
{%load static%}
{% block content %}

<div class="default">
    <div class="container">
        <div class="row default">
            <br>
            <br>
            <br>
            <br>
        </div>
        <div class="row default">
            <h1 class="headings default">Form</h1> 
            <br>
        </div>
        <div class="row default">
            <div class="col-md-12">
                <label>Name</label>
                <br><input type="text" name="firstname" class="rounded-corner">
                <br><label>Date</label>
                <br><input type="date" name="date" class="rounded-corner">
                <br><label>Email</label>
                <br><input type="email" name="email" class="rounded-corner">
                <br><label>Subject</label>
                <br><input type="text" name="message" class="rounded-corner">
                <br><label>Message:</label>                
                <br>
                <textarea name="mssg" cols="40" rows="8" id="mssg"></textarea>
                <br>
                <button type="submit" class="btn btn-default rounded-corner">
                    send
                </button>
            </div>
        </div>
    </div>
</div>
{% endblock %}

lab4/templates/home.html
{% extends "base.html" %}
{%load static%}
{% block content %}
<div class="container">
    <div class="row default">
        <br>
        <br>
        <br>
        <br>
        <br>
    </div>
    <div class="row">
        <div class="col-lg-9 responsive">
            <img class="rounded-corner" id="home-pict" src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/42059000_2225909457653072_3697286793914220544_n.jpg?_nc_cat=101&oh=2b520c2a707f063a039f1c5c17496d36&oe=5C21A05B" alt="This is a picture of me">
        </div>
        <div class="col-lg-3">
            <h1 id="welcome" class="headings">WELCOME.</h1>
            <p id="rounded-box-home" class="content">
            It's me, Adiva ,an Undergaduate Computer Scienece Student in Universitas Indonesia. I am 19 years old and i'm still learning new things about web design!
            <a href="{% url 'lab_10:display' %}"  base="content" id="base-text">Subscribe me>>></a><br>

            <h2 id="story" class="headings">story</h2>
            <a href="{% url 'lab_1:index' %}"  base="content">Click to see : Story 1</a><br>
            <a href="{% url 'lab6:index' %}"  base="content">Click to see : Story 6</a><br>
            <a href="{% url 'landingpagelab9' %}"  base="content">Click to see : Story 9</a><br>
            <a href="{% url 'lab_10:display' %}"  base="content">Click to see : Story 10</a><br>
            </p>
            <a href="{% url 'lab4:about' %}" id="base-text" base="content">Get to know me better>>></a>
        </div>
</div>
{% endblock %}

lab4/templates/now.html
{% extends "base.html" %}
{%load static%}
{% block content %}
<div class="container">
    <div class="row default">
            <br>
            <br>
            <br>
            <br>
    </div>
    <div class="row default">
        <h1 class="headings default">What I'm Up To</h1>  
        <br>
    </div>
    <div class="row default">
        <div class="col-lg-7">
            <div class="row">
                <img src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/41942257_2225908177653200_7376778129571840000_n.jpg?_nc_cat=100&oh=9cf2ea62d682783002c6ecf25dbd0c9e&oe=5C32F89B" alt="Sponsorship team building" id="photolandscape">
                <img src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/41992094_2225909417653076_4787926342106611712_n.jpg?_nc_cat=106&oh=f81e20ad7038f65c21110e3ea63dd954&oe=5C1EAF79" alt="Athana's day out" id="photovertical">
            </div>
            <br>
            <div class="row">
                <img src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/42058715_2225909444319740_4541329274388348928_n.jpg?_nc_cat=103&oh=c17e1752169ac1ac505985fcd9b0bceb&oe=5C2A5557" alt="Open House" id="photolandscape2">
            </div>
        </div>
        <div class="col-lg-5">
            <img src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/41961931_2225909500986401_7169095969521270784_n.jpg?_nc_cat=102&oh=7038a1d4c3fa35d4cc26ba9f7671786b&oe=5C14663F" alt="Grand launching COMPFEST X" id="photovertical2">    
        </div>
    </div>
</div>
{% endblock %}

lab4/templates/recap.html
{% extends "base.html" %}
{%load static%}
{% block content %}
<div class=default>
        <div class="container">
                <div class="row default">
                    <br>
                    <br>
                    <br>
                    <br>
                </div>
                <div class="row default">
                    <h1 class="headings default">Recap</h1> 
                    <br>
                </div>
                <div class="row default">
                    <div class="col-md-12">
                        <table style="width:100%">
                            {% if scheds %}
                            <tr>
                                <th>Activity</th>
                                <th>Day</th>
                                <th>Date</th>
                                <th>Time</th>
                                <th>Place</th>
                                <th>Category</th>
                            </tr>
                            {% for schedule in scheds %}
                            <tr>
                                <td>{{schedule.activity}}</td>
                                <td>{{schedule.day}}</td>
                                <td>{{schedule.date}}</td>
                                <td>{{schedule.time}}</td>
                                <td>{{schedule.place}}</td>
                                <td>{{schedule.category}}</td>
                            </tr>
                            {% endfor %}
                        {% else %}
                            <h3>You are as free as a bee!</h3>
                        {% endif %}
                        </table> 
                    </div>
                </div>
                <div class="row default">
                    <br>
                </div>
                <div class="row default">    
                    <a href="{% url 'schedule' %}" class="content">ADD MORE>>></a>  
                </div>
                <div class="row default">
                    <!--<input type="submit" value="DELETE ALL" action="{% url 'delete' %}">-->
                    <form>
                        <a href="{% url 'delete' %}" class="content"> DELETE ALL</a>
                    </form>
                </div>
        </div>
</div>
{% endblock %}

lab4/templates/schedule.html
{% extends "base.html" %}
{%load static%}
{% block content %}

<div class="default">
    <div class="container">
        <div class="row default">
            <br>
            <br>
            <br>
            <br>
        </div>
        <div class="row default">
            <h1 class="headings default">Schedule</h1> 
            <br>
        </div>
        <div class="row default">
            <div class="col-lg-12">
                <section name="schedule-form">
                    <form id="sched-form" method="POST">
                        {% csrf_token %}
                        {% for i in form %}
                        {{i.label}}
                        <br>
                        {{i}}
                        <br>
                        {% endfor %}
                        <br>
                        <input type="submit" value="Submit">
                        <a href="{% url 'recap' %}" class="content"> see activities>>></a>
                    </form>
                </section>
            </div>
        </div>
    </div>
</div>
{% endblock %}